--- Smac/smacXcoral.c	2006-10-16 16:25:44.000000000 -0400
+++ Smac/smacXcoral.c	2014-12-27 22:32:15.000000000 -0500
@@ -2651,6 +2461,5 @@ static Object builtin_browser_hide_x(x)
     unsigned x;
 {
-  extern FCT(void, RefreshBrowserInfos,());
-  
+
   ignore_ctrl_c();
   if (! (Hide_Bits & x)) {
@@ -2659,5 +2468,5 @@ static Object builtin_browser_hide_x(x)
   }
   accept_ctrl_c();
-  
+
   return 0;
 }
@@ -2666,6 +2475,5 @@ static Object builtin_browser_show_x(x)
     unsigned x;
 {
-  extern FCT(void, RefreshBrowserInfos,());
-  
+
   ignore_ctrl_c();
   if (Hide_Bits & x) {
@@ -2674,19 +2482,18 @@ static Object builtin_browser_show_x(x)
   }
   accept_ctrl_c();
-  
+
   return 0;
 }
 
-Object builtin_browser_hide_private_members(a)
-    Instruction ** a;
+static Object builtin_browser_hide_private_members(a)
+    Instruction **a __attribute__((unused));
 {
   return builtin_browser_hide_x(HidePrivate);
 }
 
-Object builtin_browser_hide_protected_and_private_members(a)
-    Instruction ** a;
+static Object builtin_browser_hide_protected_and_private_members(a)
+    Instruction **a __attribute__((unused));
 {
-  extern FCT(void, RefreshBrowserInfos,());
-  
+
   ignore_ctrl_c();
   if ((Hide_Bits & (HidePrivate | HideProtected)) !=
@@ -2696,74 +2503,72 @@ Object builtin_browser_hide_protected_an
   }
   accept_ctrl_c();
-  
+
   return 0;
 }
 
-Object builtin_browser_show_protected_and_private_members(a)
-    Instruction ** a;
+static Object builtin_browser_show_protected_and_private_members(a)
+    Instruction **a __attribute__((unused));
 {
   return builtin_browser_show_x(HidePrivate | HideProtected);
 }
 
-Object builtin_browser_hide_inherited_members(a)
-    Instruction ** a;
+static Object builtin_browser_hide_inherited_members(a)
+    Instruction **a __attribute__((unused));
 {
   return builtin_browser_hide_x(HideInherited);
 }
 
-Object builtin_browser_show_inherited_members(a)
-    Instruction ** a;
+static Object builtin_browser_show_inherited_members(a)
+    Instruction **a __attribute__((unused));
 {
   return builtin_browser_show_x(HideInherited);
 }
 
-Object builtin_browser_hide_internal_types(a)
-    Instruction ** a;
+static Object builtin_browser_hide_internal_types(a)
+    Instruction **a __attribute__((unused));
 {
   return builtin_browser_hide_x(HideInternalTypes);
 }
 
-Object builtin_browser_show_internal_types(a)
-    Instruction ** a;
+static Object builtin_browser_show_internal_types(a)
+    Instruction **a __attribute__((unused));
 {
   return builtin_browser_show_x(HideInternalTypes);
 }
 
-Object builtin_browser_hide_static_functions(a)
-    Instruction ** a;
+static Object builtin_browser_hide_static_functions(a)
+    Instruction **a __attribute__((unused));
 {
   return builtin_browser_hide_x(HideStaticFunctions);
 }
 
-Object builtin_browser_show_static_functions(a)
-    Instruction ** a;
+static Object builtin_browser_show_static_functions(a)
+    Instruction **a __attribute__((unused));
 {
   return builtin_browser_show_x(HideStaticFunctions);
 }
 
-Object builtin_browser_hide_static_globals(a)
-    Instruction ** a;
+static Object builtin_browser_hide_static_globals(a)
+    Instruction **a __attribute__((unused));
 {
   return builtin_browser_hide_x(HideStaticGlobals);
 }
 
-Object builtin_browser_show_static_globals(a)
-    Instruction ** a;
+static Object builtin_browser_show_static_globals(a)
+    Instruction **a __attribute__((unused));
 {
   return builtin_browser_show_x(HideStaticGlobals);
 }
 
-Object builtin_browser_hide_children_of(a)
+static Object builtin_browser_hide_children_of(a)
     Instruction ** a;
 {
-  extern FCT(void, RefreshBrowserInfos,());
-  extern FCT(ClassRec *, find_class,(char *));
-  char * name = (char *) Eval(a[0]);
+  const char *name = (const char *)Eval(a[0]);
   ClassRec * obj;
-  
+
 #ifdef RUNTIMECHECK
   check_strlen(name);
 #endif
-  
+
   ignore_ctrl_c();
   if (((obj = find_class(name)) != 0) && (! (obj->_hide & HideChildrenOf))) {
@@ -2772,20 +2577,18 @@ Object builtin_browser_hide_children_of(
   }
   accept_ctrl_c();
-  
+
   return 0;
 }
 
-Object builtin_browser_show_children_of(a)
+static Object builtin_browser_show_children_of(a)
     Instruction ** a;
 {
-  extern FCT(void, RefreshBrowserInfos,());
-  extern FCT(ClassRec *, find_class,(char *));
-  char * name = (char *) Eval(a[0]);
+  const char *name = (const char *)Eval(a[0]);
   ClassRec * obj;
-  
+
 #ifdef RUNTIMECHECK
   check_strlen(name);
 #endif
-  
+
   ignore_ctrl_c();
   if (((obj = find_class(name)) != 0) && (obj->_hide & HideChildrenOf)) {
@@ -2794,20 +2597,18 @@ Object builtin_browser_show_children_of(
   }
   accept_ctrl_c();
-  
+
   return 0;
 }
 
-Object builtin_browser_hide_class(a)
+static Object builtin_browser_hide_class(a)
     Instruction ** a;
 {
-  extern FCT(void, RefreshBrowserInfos,());
-  extern FCT(ClassRec *, find_class,(char *));
-  char * name = (char *) Eval(a[0]);
+  const char *name = (const char *)Eval(a[0]);
   ClassRec * obj;
-  
+
 #ifdef RUNTIMECHECK
   check_strlen(name);
 #endif
-  
+
   ignore_ctrl_c();
   if (((obj = find_class(name)) != 0) && (! (obj->_hide & UserHide))) {
@@ -2816,20 +2617,18 @@ Object builtin_browser_hide_class(a)
   }
   accept_ctrl_c();
-  
+
   return 0;
 }
 
-Object builtin_browser_show_class(a)
+static Object builtin_browser_show_class(a)
     Instruction ** a;
 {
-  extern FCT(void, RefreshBrowserInfos,());
-  extern FCT(ClassRec *, find_class,(char *));
-  char * name = (char *) Eval(a[0]);
+  const char *name = (const char *)Eval(a[0]);
   ClassRec * obj;
-  
+
 #ifdef RUNTIMECHECK
   check_strlen(name);
 #endif
-  
+
   ignore_ctrl_c();
   if (((obj = find_class(name)) != 0) && (obj->_hide & UserHide)) {
@@ -2838,20 +2637,18 @@ Object builtin_browser_show_class(a)
   }
   accept_ctrl_c();
-  
+
   return 0;
 }
 
-Object builtin_browser_show_global(a)
+static Object builtin_browser_show_global(a)
     Instruction ** a;
 {
-  extern FCT(void, RefreshBrowserInfos,());
-  extern FCT(GlobalRec *, find_global,(char *));
-  char * name = (char *) Eval(a[0]);
+  const char *name = (const char *)Eval(a[0]);
   GlobalRec * obj;
-  
+
 #ifdef RUNTIMECHECK
   check_strlen(name);
 #endif
-  
+
   ignore_ctrl_c();
   if (((obj = find_global(name)) != 0) && (obj->_hide & UserHide)) {
@@ -2860,20 +2657,18 @@ Object builtin_browser_show_global(a)
   }
   accept_ctrl_c();
-  
+
   return 0;
 }
 
-Object builtin_browser_hide_global(a)
+static Object builtin_browser_hide_global(a)
     Instruction ** a;
 {
-  extern FCT(void, RefreshBrowserInfos,());
-  extern FCT(GlobalRec *, find_global,(char *));
-  char * name = (char *) Eval(a[0]);
+  const char *name = (const char *)Eval(a[0]);
   GlobalRec * obj;
-  
+
 #ifdef RUNTIMECHECK
   check_strlen(name);
 #endif
-  
+
   ignore_ctrl_c();
   if (((obj = find_global(name)) != 0) && (! (obj->_hide & UserHide))) {
@@ -2882,20 +2677,18 @@ Object builtin_browser_hide_global(a)
   }
   accept_ctrl_c();
-  
+
   return 0;
 }
 
-Object builtin_browser_show_function(a)
+static Object builtin_browser_show_function(a)
     Instruction ** a;
 {
-  extern FCT(void, RefreshBrowserInfos,());
-  extern FCT(ProcRec *, find_proc,(char *));
-  char * name = (char *) Eval(a[0]);
+  const char *name = (const char *)Eval(a[0]);
   ProcRec * obj;
-  
+
 #ifdef RUNTIMECHECK
   check_strlen(name);
 #endif
-  
+
   ignore_ctrl_c();
   if (((obj = find_proc(name)) != 0) && (obj->_hide & UserHide)) {
@@ -2904,20 +2697,18 @@ Object builtin_browser_show_function(a)
   }
   accept_ctrl_c();
-  
+
   return 0;
 }
 
-Object builtin_browser_hide_function(a)
+static Object builtin_browser_hide_function(a)
     Instruction ** a;
 {
-  extern FCT(void, RefreshBrowserInfos,());
-  extern FCT(ProcRec *, find_proc,(char *));
-  char * name = (char *) Eval(a[0]);
+  const char *name = (const char *)Eval(a[0]);
   ProcRec * obj;
-  
+
 #ifdef RUNTIMECHECK
   check_strlen(name);
 #endif
-  
+
   ignore_ctrl_c();
   if (((obj = find_proc(name)) != 0) && (! (obj->_hide & UserHide))) {
@@ -2926,10 +2717,10 @@ Object builtin_browser_hide_function(a)
   }
   accept_ctrl_c();
-  
+
   return 0;
 }
 
-Object builtin_smaclib_dir(a)
-    Instruction ** a;
+static Object builtin_smaclib_dir(a)
+    Instruction **a __attribute__((unused));
 {
   ignore_ctrl_c();
@@ -2937,11 +2728,10 @@ Object builtin_smaclib_dir(a)
 }
 
-Object builtin_set_tab_width(a)
+static Object builtin_set_tab_width(a)
      Instruction ** a;
 {
-  extern FCT(int, ie_set_tab_width,(int));
   Object arg = Eval(*a);
   Object result;
-  
+
   ignore_ctrl_c();
   result = ie_set_tab_width(arg);
@@ -2962,22 +2752,22 @@ void Init_Smac_Xcoral()
   static Type * pString;
   static Type * string_pint[2];
-    
+
   string_string_int[0] = string_string_int[1] = Type_String;
   string_string_int[2] = Type_Int;
-  
+
   string_string_string[0] =
       string_string_string[1] =
 	  string_string_string[2] = Type_String;
-    
+
   string_int_int[0] = Type_String;
   string_int_int[1] = string_int_int[2] = Type_Int;
-  
+
   int_int_string[0] = int_int_string[1] = Type_Int;
   int_int_string[2] = Type_String;
-    
+
   pString = Type__Type(Type_String, T_Pointer, sizeof(char **));
   string_pint[0] = Type_String;
   string_pint[1] = Type_PInt;
-    
+
   new_builtin("current_position", Type_Int, 0, 0, builtin_current_position);
   new_builtin("current_char", Type_Char, 0, 0, builtin_current_char);
@@ -3007,5 +2797,5 @@ void Init_Smac_Xcoral()
   new_builtin("redisplay", Type_Void, 0, 0, builtin_redisplay);
   new_builtin("blink", Type_Void, 1, &Type_Int, builtin_blink);
-  
+
   new_builtin("cmd_shell", Type_Int, 1, &Type_String, builtin_cmd_shell);
   new_builtin("cmd_shell_to_string", Type_String, 1, &Type_String,
@@ -3037,5 +2827,5 @@ void Init_Smac_Xcoral()
 
   new_builtin("set_font", Type_Void, 1, &Type_String, builtin_set_font);
-  
+
   new_builtin("read_file", Type_Int, 1, &Type_String, builtin_read_file);
   new_builtin("save_file", Type_Void, 0, 0, builtin_save_file);
@@ -3087,5 +2877,5 @@ void Init_Smac_Xcoral()
   new_builtin("current_buffer_is_colored", Type_Int, 0, 0,
 	      builtin_current_buffer_is_colored);
-  
+
   new_builtin("mark_position", Type_Int, 0, 0, builtin_mark_position);
   new_builtin("cut_region", Type_Void, 0, 0, builtin_cut_region);
@@ -3095,5 +2885,5 @@ void Init_Smac_Xcoral()
   new_builtin("goto_mark", Type_Void, 0, 0, builtin_goto_mark);
   new_builtin("reset_mark", Type_Void, 0, 0, builtin_reset_mark);
-  
+
   new_builtin("re_forward_search", Type_Int, 1, &Type_String,
 	      builtin_re_search_forward);
@@ -3107,10 +2897,10 @@ void Init_Smac_Xcoral()
 	      builtin_re_match_beginning);
   new_builtin("re_match_end", Type_Int, 1, &Type_Int, builtin_re_match_end);
-  
+
   new_builtin("watch_on", Type_Void, 0, 0, builtin_watch_on);
   new_builtin("watch_off", Type_Void, 0, 0, builtin_watch_off);
   new_builtin("usleep", Type_Void, 1, &Type_Int, builtin_usleep);
   new_builtin("current_mode", Type_String, 0, 0, builtin_current_mode);
-  
+
   new_builtin("browser_set_pp", Type_Void, 2, string_string_string,
 	      builtin_browser_set_pp);
@@ -3118,13 +2908,13 @@ void Init_Smac_Xcoral()
 	      builtin_browser_set_pp_options);
   HashTable__Add(builtin_fct_nbre_arg_min,
-		 new_builtin("browser_add", Type_Void, 2, 
+		 new_builtin("browser_add", Type_Void, 2,
 			     &string_string_int[1], builtin_browser_add),
 		 1 + 1);
   HashTable__Add(builtin_fct_nbre_arg_min,
-		 new_builtin("browser_del", Type_Void, 1, 
+		 new_builtin("browser_del", Type_Void, 1,
 			     &Type_String, builtin_browser_del),
 		 0 + 1);
   HashTable__Add(builtin_fct_nbre_arg_min,
-		 new_builtin("browser_class_file", Type_String, 2, 
+		 new_builtin("browser_class_file", Type_String, 2,
 			     string_pint, builtin_browser_class_file),
 		 1 + 1);
@@ -3138,5 +2928,5 @@ void Init_Smac_Xcoral()
 	      builtin_browser_class_attributes);
   new_builtin("browser_class_flags", Type_String, 1, &Type_String,
-	      builtin_browser_class_flags); 
+	      builtin_browser_class_flags);
   new_builtin("browser_functions", pString, 1, &Type_String,
 	      builtin_browser_functions);
@@ -3144,75 +2934,75 @@ void Init_Smac_Xcoral()
 	      builtin_browser_globals);
   new_builtin("browser_select_class", Type_Int, 1, &Type_String,
-	      builtin_browser_select_class); 
+	      builtin_browser_select_class);
   new_builtin("browser_select_method", Type_Int, 1, &Type_String,
-	      builtin_browser_select_method); 
+	      builtin_browser_select_method);
   new_builtin("browser_select_attribute", Type_Int, 1, &Type_String,
-	      builtin_browser_select_attribute); 
+	      builtin_browser_select_attribute);
   new_builtin("browser_select_function", Type_Int, 1, &Type_String,
-	      builtin_browser_select_function); 
+	      builtin_browser_select_function);
   new_builtin("browser_select_global", Type_Int, 1, &Type_String,
-	      builtin_browser_select_global); 
-  new_builtin("browser_edit", Type_Void, 0, 0, builtin_browser_edit); 
+	      builtin_browser_select_global);
+  new_builtin("browser_edit", Type_Void, 0, 0, builtin_browser_edit);
   new_builtin("browser_class_entry", Type_Int, 1, &Type_String,
-	      builtin_browser_class_entry); 
+	      builtin_browser_class_entry);
   new_builtin("browser_function_entry", Type_Int, 1, &Type_String,
-	      builtin_browser_function_entry); 
+	      builtin_browser_function_entry);
   new_builtin("browser_global_entry", Type_Int, 1, &Type_String,
-	      builtin_browser_global_entry); 
+	      builtin_browser_global_entry);
   new_builtin("browser_file_entry", Type_Int, 1, &Type_String,
-	      builtin_browser_file_entry); 
+	      builtin_browser_file_entry);
   new_builtin("browser_class", Type_String, 1, &Type_Int,
-	      builtin_browser_class); 
+	      builtin_browser_class);
   new_builtin("browser_function", Type_String, 1, &Type_Int,
-	      builtin_browser_function); 
+	      builtin_browser_function);
   new_builtin("browser_global", Type_String, 1, &Type_Int,
-	      builtin_browser_global); 
+	      builtin_browser_global);
   new_builtin("browser_file", Type_String, 1, &Type_Int,
-	      builtin_browser_file); 
+	      builtin_browser_file);
   new_builtin("browser_dump", Type_Int, 1, &Type_String,
-	      builtin_browser_dump); 
+	      builtin_browser_dump);
   new_builtin("browser_restore", Type_Int, 1, &Type_String,
-	      builtin_browser_restore); 
+	      builtin_browser_restore);
   new_builtin("browser_show_all", Type_Void, 0, 0,
-	      builtin_browser_show_all); 
+	      builtin_browser_show_all);
   new_builtin("browser_hide_private_members", Type_Void, 0, 0,
-	      builtin_browser_hide_private_members); 
+	      builtin_browser_hide_private_members);
   new_builtin("browser_hide_protected_and_private_members", Type_Void, 0, 0,
-	      builtin_browser_hide_protected_and_private_members); 
+	      builtin_browser_hide_protected_and_private_members);
   new_builtin("browser_show_protected_and_private_members", Type_Void, 0, 0,
-	      builtin_browser_show_protected_and_private_members); 
+	      builtin_browser_show_protected_and_private_members);
   new_builtin("browser_hide_inherited_members", Type_Void, 0, 0,
-	      builtin_browser_hide_inherited_members); 
+	      builtin_browser_hide_inherited_members);
   new_builtin("browser_show_inherited_members", Type_Void, 0, 0,
-	      builtin_browser_show_inherited_members); 
+	      builtin_browser_show_inherited_members);
   new_builtin("browser_hide_internal_types", Type_Void, 0, 0,
-	      builtin_browser_hide_internal_types); 
+	      builtin_browser_hide_internal_types);
   new_builtin("browser_show_internal_types", Type_Void, 0, 0,
-	      builtin_browser_show_internal_types); 
+	      builtin_browser_show_internal_types);
   new_builtin("browser_hide_static_functions", Type_Void, 0, 0,
-	      builtin_browser_hide_static_functions); 
+	      builtin_browser_hide_static_functions);
   new_builtin("browser_show_static_functions", Type_Void, 0, 0,
-	      builtin_browser_show_static_functions); 
+	      builtin_browser_show_static_functions);
   new_builtin("browser_hide_static_globals", Type_Void, 0, 0,
-	      builtin_browser_hide_static_globals); 
+	      builtin_browser_hide_static_globals);
   new_builtin("browser_show_static_globals", Type_Void, 0, 0,
-	      builtin_browser_show_static_globals); 
+	      builtin_browser_show_static_globals);
   new_builtin("browser_hide_children_of", Type_Void, 1, &Type_String,
-	      builtin_browser_hide_children_of); 
+	      builtin_browser_hide_children_of);
   new_builtin("browser_show_children_of", Type_Void, 1, &Type_String,
-	      builtin_browser_show_children_of); 
+	      builtin_browser_show_children_of);
   new_builtin("browser_hide_class", Type_Void, 1, &Type_String,
-	      builtin_browser_hide_class); 
+	      builtin_browser_hide_class);
   new_builtin("browser_show_class", Type_Void, 1, &Type_String,
-	      builtin_browser_show_class); 
+	      builtin_browser_show_class);
   new_builtin("browser_hide_global", Type_Void, 1, &Type_String,
-	      builtin_browser_hide_global); 
+	      builtin_browser_hide_global);
   new_builtin("browser_show_global", Type_Void, 1, &Type_String,
-	      builtin_browser_show_global); 
+	      builtin_browser_show_global);
   new_builtin("browser_hide_function", Type_Void, 1, &Type_String,
-	      builtin_browser_hide_function); 
+	      builtin_browser_hide_function);
   new_builtin("browser_show_function", Type_Void, 1, &Type_String,
-	      builtin_browser_show_function); 
-  
+	      builtin_browser_show_function);
+
   new_builtin("smaclib_dir", Type_String, 0, 0, builtin_smaclib_dir);
   new_builtin("set_tab_width", Type_Int, 1, &Type_Int, builtin_set_tab_width);
--- Smac/smacXcoral.h	1995-02-22 08:05:57.000000000 -0500
+++ Smac/smacXcoral.h	2014-12-27 22:17:33.000000000 -0500
@@ -45,17 +45,18 @@
 #include "fctdecl.h"
 
-extern char * i_buffer_courant;
+extern Text * i_buffer_courant;
 extern char * i_minibuffer;
 extern int i_curseur, i_curseur_sup;
 
-extern FCT(	char *, ie_load_file,(char * buff, char * filename)	);
-extern FCT(	char *, ie_eval_region,(char * buff)			);
-extern FCT(	char *, ie_eval_expression,(char * buff, char * expr)	);
-extern FCT(	char *, ie_call_function,(char *, char *, int, int *)	);
+extern FCT(const char *, ie_load_file, (Text * buff, const char * filename));
+extern FCT(const char *, ie_eval_region, (Text * buff)			);
+extern FCT(const char *, ie_eval_expression, (Text * buff, const char * expr));
+extern FCT(const char *, ie_call_function, (Text *, const char *, int, int *));
 
-extern FCT(	char *, ie_data_list,(int)				);
-extern FCT(	char *, ie_function_list,(int)				);
+extern FCT(const char *, ie_data_list, (int)				);
+extern FCT(const char *, ie_function_list, (int)			);
 
-extern FCT(	void, Init_Smac_Xcoral,()				);
+extern FCT(	   void, Init_Smac_Xcoral, (void)			);
+extern FCT(      char *, ExpandSmacName, (const char *s, int *n, int *common));
 
-#endif
+#endif
\ No newline at end of file
--- Smac/stack.h	2006-10-16 16:29:18.000000000 -0400
+++ Smac/stack.h	2014-12-27 15:31:01.000000000 -0500
@@ -75,5 +75,5 @@ extern Object * Frame_Pointer;
 extern unsigned Stack_Size;
 
-extern void Init_Stack();
+extern void Init_Stack(void);
      
 #endif
--- Smac/switch.c	2006-10-16 16:32:17.000000000 -0400
+++ Smac/switch.c	2014-12-27 16:41:53.000000000 -0500
@@ -48,5 +48,5 @@
 #include "decl.h" /**/
 
-void switch_free(List * lexprs, Instruction ** exprs, int sup)
+static void switch_free(List * lexprs, Instruction ** exprs, int sup)
 {
   while (lexprs) {
--- Smac/type.c	2006-10-16 16:32:45.000000000 -0400
+++ Smac/type.c	2014-12-27 16:54:04.000000000 -0500
@@ -277,6 +277,6 @@ static Type * pointeur_ou_tableau_de_tab
    type pour s'en servir de clef d'une hash table */
 
-char * encode_type(t)
-     Type * t;
+const char * encode_type(t)
+     const Type * t;
 {
   if (Type__IsBuiltin(t))
--- Smac/type.h	2006-10-16 16:29:58.000000000 -0400
+++ Smac/type.h	2014-12-27 16:53:30.000000000 -0500
@@ -50,5 +50,5 @@ extern FCT( Type *, abstract_type,(List 
 
 extern FCT( Instruction *, make_typedef,(List *, int)	);
-extern FCT( char *, encode_type,(Type *)	);
+extern FCT( const char *, encode_type, (const Type *)	);
      
 #endif
--- Smac/word.c	1998-09-20 10:15:37.000000000 -0400
+++ Smac/word.c	2014-12-27 14:19:13.000000000 -0500
@@ -40,8 +40,11 @@
 
 #include <stdio.h>
+#include <stdlib.h>
+#include <unistd.h>
+#include <sys/wait.h>
 
 #define THEFILE "wordisgood"
 
-int goodp()
+static int goodp()
 {
   FILE * fp = fopen(THEFILE, "r");
@@ -55,5 +58,5 @@ int goodp()
 }
 
-void itisgood()
+static void itisgood()
 {
   FILE * fp = fopen(THEFILE, "w");
@@ -131,9 +134,11 @@ main()
       
       if (fork()) {
-	wait(0);
+	int status;
+	wait(&status);
 	
 	if (! goodp()) {
 	  /* erreur */
 	  unlink("core");
+	  unlink("word.core");
 	  mask |= ajout_add;
 	}
